<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CostCategorySearchRow StructType
 * @subpackage Structs
 */
class CostCategorySearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CostCategorySearchRowBasic
     */
    public $basic;
    /**
     * The accountJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\AccountSearchRowBasic
     */
    public $accountJoin;
    /**
     * The transactionJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TransactionSearchRowBasic
     */
    public $transactionJoin;
    /**
     * Constructor method for CostCategorySearchRow
     * @uses CostCategorySearchRow::setBasic()
     * @uses CostCategorySearchRow::setAccountJoin()
     * @uses CostCategorySearchRow::setTransactionJoin()
     * @param \StructType\CostCategorySearchRowBasic $basic
     * @param \StructType\AccountSearchRowBasic $accountJoin
     * @param \StructType\TransactionSearchRowBasic $transactionJoin
     */
    public function __construct(\StructType\CostCategorySearchRowBasic $basic = null, \StructType\AccountSearchRowBasic $accountJoin = null, \StructType\TransactionSearchRowBasic $transactionJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setAccountJoin($accountJoin)
            ->setTransactionJoin($transactionJoin);
    }
    /**
     * Get basic value
     * @return \StructType\CostCategorySearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\CostCategorySearchRowBasic $basic
     * @return \StructType\CostCategorySearchRow
     */
    public function setBasic(\StructType\CostCategorySearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get accountJoin value
     * @return \StructType\AccountSearchRowBasic|null
     */
    public function getAccountJoin()
    {
        return $this->accountJoin;
    }
    /**
     * Set accountJoin value
     * @param \StructType\AccountSearchRowBasic $accountJoin
     * @return \StructType\CostCategorySearchRow
     */
    public function setAccountJoin(\StructType\AccountSearchRowBasic $accountJoin = null)
    {
        $this->accountJoin = $accountJoin;
        return $this;
    }
    /**
     * Get transactionJoin value
     * @return \StructType\TransactionSearchRowBasic|null
     */
    public function getTransactionJoin()
    {
        return $this->transactionJoin;
    }
    /**
     * Set transactionJoin value
     * @param \StructType\TransactionSearchRowBasic $transactionJoin
     * @return \StructType\CostCategorySearchRow
     */
    public function setTransactionJoin(\StructType\TransactionSearchRowBasic $transactionJoin = null)
    {
        $this->transactionJoin = $transactionJoin;
        return $this;
    }
}
